package com.keao.edu.im.api.entity;

import org.apache.commons.lang3.StringUtils;

public class ImUserModel {
    public String id;

    public String name;

    private String title;

    public String portrait;

    private Integer minute;

    private ImUserModel[] blacklist;

    public ImUserModel(String id, String name, String portrait) {
        this.id = id;
        this.name = name;
        if(StringUtils.isEmpty(portrait)){
            this.portrait = "https://daya-online.oss-cn-beijing.aliyuncs.com/201912/RkoZBNq.jpeg";
        }else {
            this.portrait = portrait;
        }
    }

    public ImUserModel() {
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPortrait() {
        return portrait;
    }

    public void setPortrait(String portrait) {
        this.portrait = portrait;
    }

    public Integer getMinute() {
        return minute;
    }

    public void setMinute(Integer minute) {
        this.minute = minute;
    }

    public ImUserModel[] getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(ImUserModel[] blacklist) {
        this.blacklist = blacklist;
    }


}
